local addonName, addon = ...

local InterfaceOptions_AddCategory = InterfaceOptions_AddCategory

local function CheckboxOnLoad(self)
	print("CheckboxOnLoad")
	self.type = CONTROLTYPE_CHECKBOX
	self.Text:SetText("Show \"TomCat's Tours\" Minimap Button")
	self.tooltipText = "Set whether to show or hide the main \"TomCat's Tours\" minimap button"
	self.defaultValue = "1"
	self.GetValue = function(self)
		local currentValue = true --_G["@name@MinimapButton"]:GetPreferences().hidden
		if (currentValue) then
			return "1"
		end
		return "0"
	end
	self.SetValue = function(self, value)
		if (value == "1") then
			--_G["@name@MinimapButton"]:SetEnabled(true)
		else
			--_G["@name@MinimapButton"]:SetEnabled(false)
		end
	end
	BlizzardOptionsPanel_RegisterControl(self, self:GetParent())
end

local configFrame = CreateFrame("FRAME", "TomCats_Config", UIParent, "TomCats_ConfigTemplate")
configFrame.name = "TomCat's Tours"
configFrame.controls = { }
configFrame.Header.Text:SetFont(configFrame.Header.Text:GetFont(), 64)
CheckboxOnLoad(configFrame.ctrl_minimapButtonMain)

InterfaceOptionsPanel_OnLoad(configFrame)
--InterfaceOptions_AddCategory(configFrame)
